Reference
Chat
List Threads
Query Parameters
limit?integer
Default
20Range
1 <= value <= 100cursor?|
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/chat/threads"{
"items": [
{
"activeTurnId": "string",
"activeTurnLastEventSeq": 0,
"activeTurnStatus": "pending",
"agentSpec": {
"id": "string",
"isDeleted": true,
"lifecycleStatus": "active",
"name": "string"
},
"agentSpecId": "string",
"createdAt": "2019-08-24T14:15:22Z",
"id": "string",
"isShared": true,
"lastTurnStatus": "pending",
"shareRecipients": [
{
"email": "string",
"firstName": "string",
"id": "string",
"lastName": "string",
"profilePictureUrl": "string"
}
],
"sharedBy": {
"email": "string",
"firstName": "string",
"id": "string",
"lastName": "string",
"profilePictureUrl": "string"
},
"title": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"viewerAccess": "owner",
"workspaceId": "string"
}
],
"nextCursor": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Create Thread
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
agentSpecId*string
title?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/chat/threads" \ -H "Content-Type: application/json" \ -d '{ "agentSpecId": "string" }'{
"activeTurnId": "string",
"activeTurnLastEventSeq": 0,
"activeTurnStatus": "pending",
"agentSpec": {
"id": "string",
"isDeleted": true,
"lifecycleStatus": "active",
"name": "string"
},
"agentSpecId": "string",
"createdAt": "2019-08-24T14:15:22Z",
"id": "string",
"isShared": true,
"lastTurnStatus": "pending",
"shareRecipients": [
{
"email": "string",
"firstName": "string",
"id": "string",
"lastName": "string",
"profilePictureUrl": "string"
}
],
"sharedBy": {
"email": "string",
"firstName": "string",
"id": "string",
"lastName": "string",
"profilePictureUrl": "string"
},
"title": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"viewerAccess": "owner",
"workspaceId": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Bulk Delete Threads
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
all?boolean
Default
falsethreadIds?array<>
Items
items <= 100Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/chat/threads/bulk-delete" \ -H "Content-Type: application/json" \ -d '{}'{
"deletedCount": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Thread
Path Parameters
thread_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/chat/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"activeTurnId": "string",
"activeTurnLastEventSeq": 0,
"activeTurnStatus": "pending",
"agentSpec": {
"id": "string",
"isDeleted": true,
"lifecycleStatus": "active",
"name": "string"
},
"agentSpecId": "string",
"createdAt": "2019-08-24T14:15:22Z",
"id": "string",
"isShared": true,
"lastTurnStatus": "pending",
"shareRecipients": [
{
"email": "string",
"firstName": "string",
"id": "string",
"lastName": "string",
"profilePictureUrl": "string"
}
],
"sharedBy": {
"email": "string",
"firstName": "string",
"id": "string",
"lastName": "string",
"profilePictureUrl": "string"
},
"title": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"viewerAccess": "owner",
"workspaceId": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Update Thread
Path Parameters
thread_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
agentSpecId?|
title?|
Response Body
application/json
application/json
curl -X PATCH "https://loading/api/v1/chat/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"activeTurnId": "string",
"activeTurnLastEventSeq": 0,
"activeTurnStatus": "pending",
"agentSpec": {
"id": "string",
"isDeleted": true,
"lifecycleStatus": "active",
"name": "string"
},
"agentSpecId": "string",
"createdAt": "2019-08-24T14:15:22Z",
"id": "string",
"isShared": true,
"lastTurnStatus": "pending",
"shareRecipients": [
{
"email": "string",
"firstName": "string",
"id": "string",
"lastName": "string",
"profilePictureUrl": "string"
}
],
"sharedBy": {
"email": "string",
"firstName": "string",
"id": "string",
"lastName": "string",
"profilePictureUrl": "string"
},
"title": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"viewerAccess": "owner",
"workspaceId": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Delete Thread
Path Parameters
thread_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
curl -X DELETE "https://loading/api/v1/chat/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Resolve Changeset Decision
Path Parameters
thread_id*string
Format
uuidchangeset_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
decision*string
Value in
"accept" | "reject"note?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/chat/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08/changesets/497f6eca-6276-4993-bfeb-53cbbbba6f08/resolve" \ -H "Content-Type: application/json" \ -d '{ "decision": "accept" }'{
"changesetId": "string",
"decision": "accept",
"mode": "deferred",
"turnId": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}List Messages
Path Parameters
thread_id*string
Format
uuidQuery Parameters
limit?integer
Default
50Range
1 <= value <= 200cursor?|
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/chat/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages"{
"items": [
{
"cancelled": false,
"content": "string",
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "string",
"durationSeconds": 0,
"error": {
"code": "string",
"description": "string",
"referenceId": "string",
"retryable": true,
"title": "string"
},
"format": "pydantic_ai",
"id": "string",
"rawData": {},
"role": "user",
"threadId": "string",
"turnId": "string",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"nextCursor": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Thread Share
Path Parameters
thread_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/chat/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08/share"{
"createdAt": "2019-08-24T14:15:22Z",
"expiresAt": "2019-08-24T14:15:22Z",
"recipientUserIds": [
"string"
],
"recipients": [
{
"email": "string",
"firstName": "string",
"id": "string",
"lastName": "string",
"profilePictureUrl": "string"
}
],
"shareId": "string",
"state": "not_shared",
"status": "active",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Revoke Thread Share
Path Parameters
thread_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
curl -X DELETE "https://loading/api/v1/chat/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08/share"Empty
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Upsert Thread Share
Path Parameters
thread_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
expiresAt?|
recipientUserIds?array<>
Response Body
application/json
application/json
curl -X PUT "https://loading/api/v1/chat/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08/share" \ -H "Content-Type: application/json" \ -d '{}'{
"createdAt": "2019-08-24T14:15:22Z",
"expiresAt": "2019-08-24T14:15:22Z",
"recipientUserIds": [
"string"
],
"recipients": [
{
"email": "string",
"firstName": "string",
"id": "string",
"lastName": "string",
"profilePictureUrl": "string"
}
],
"shareId": "string",
"state": "not_shared",
"status": "active",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Clear Thread Share
Path Parameters
thread_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
curl -X DELETE "https://loading/api/v1/chat/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08/share/clear"Empty
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Cancel Active Turn
Path Parameters
thread_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
partialText?|
Response Body
application/json
curl -X POST "https://loading/api/v1/chat/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08/turns/cancel" \ -H "Content-Type: application/json" \ -d '{}'Empty
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Stream Turn
Path Parameters
thread_id*string
Format
uuidHeader Parameters
X-User-Timezone?|
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/chat/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08/turns/stream"null{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Stream Turn Events
Path Parameters
turn_id*string
Format
uuidQuery Parameters
afterSeq?|
Header Parameters
Last-Event-ID?|
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/chat/turns/497f6eca-6276-4993-bfeb-53cbbbba6f08/events"null{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}